salvager                   AFS Commands                salvager


NAME

   salvager -- initialize Salvager in BosConfig or manually.


   /usr/afs/bin/salvager  [-f] [-o] [<partition name>
   [<volumeID>]]

DESCRIPTION

   Initializes  the Salvager component of the fs process, which
   corrects corruption in  ReadWrite  volumes  where  possible.
   Unlike  most  other  AFS file server processes, this process
   can also be started from the command line.   It  produces  a
   trace of its actions in /usr/afs/logs/SalvageLog.

   If  the  Salvager  detects  corruption in ReadOnly or Backup
   volumes, it removes them rather than attempting  to  correct
   the  corruption;  it  records the removal in SalvageLog.  If
   desired, the issuer can  recreate  the  ReadOnly  or  Backup
   version by issuing vos release or vos backup, respectively.

   The  Salvager normally salvages only those ReadWrite volumes
   that are marked as having been active when a crash occurred.
   To  have  it salvage all relevant ReadWrite volumes, add the
   -f flag.

   The number of  volumes  the  Salvager  attempts  to  salvage
   depends  on the combination of arguments and flags used.  To
   salvage:

      - volumes on all /vicepx partitions on a file server
        machine, provide no arguments

      - volumes   on  a  certain  partition,  specify  the
        partition's full (/vicepx-style) name as partition
        name

      - one   particular  ReadWrite  volume,  specify  its
        partition  as  partition  name  and  its  volumeID
        number as volumeID

WARNING

   This  command does not use the syntax conventions of the AFS
   command suites, so the command  and  switch  names  must  be
   typed in full.

ARGUMENTS

   -f           inspects  all  volumes for corruption, not just
                those that are marked  as  having  been  active
                when a crash occurred.

   -o           enables the Salvager to remove volumes that are
                too damaged to be removed in the normal manner.
                Do not Use this argument unless a member of the
                AFS Product Support staff has directed its use.
                In  normal  cases,  use  the -force flag on the
                vos zap command  instead.    If  this  flag  is
                provided,  it should be combined with partition



                name and volumeID.

   partition name
                specifies  which  partition the Salvager should
                inspect for corruption.    If  it  is  omitted,
                every  /vicepx  partition  on  the  file server
                machine is inspected.

   volumeID number
                specifies the volumeID number of the Read Write
                volume to salvage.

EXAMPLES

   The following command instructs the Salvager to  attempt  to
   salvage  the  volume  with volume ID 258347486 on /vicepg on
   the local machine.

   % /usr/afs/bin/salvager /vicepg 258347486

PRIVILEGE REQUIRED

   Issuer must be logged into the local  UNIX  file  system  as
   "root" to issue this command to the shell.

   Issuer must be listed in /usr/afs/etc/UserList to place this
   command in /usr/afs/local/BosConfig,  because  that  is  the
   privilege required to issue bos create.

MORE INFORMATION

   bos create

   bos salvage
